<template>
  <div class="my-3">
    <h3 class="ml-2 mb-4" v-if="this.$route.name != 'report-id'">
      Search conditions
    </h3>
    <div class="row">
      <div class="col-8">
        <ReportFormSearch
          v-on:searchNameUser="searchNameUser"
          v-on:searchDateReport="searchDateReport"
        ></ReportFormSearch>
      </div>
      <div class="col-3">
        <button @click="openModalCreateReport()" data-toggle="modal" class="btn btn-success">
          <font-awesome-icon far icon="edit" /> Create Report
        </button>
        <ReportCreateEdit :teamList="listTeam" :modalActive="modalActive"></ReportCreateEdit>
      </div>
    </div>
    <ReportList
      :listUserHaveTeamAndReport="listUserHaveTeamAndReport"
      :current_page="current_page"
      :next="next"
      :previous="previous"
    ></ReportList>
  </div>
</template>

<script>
import ReportCreateEdit from '../../components/report/ReportCreateEdit'
import ReportList from '../../components/report/ReportList'
import ReportFormSearch from '../../components/report/ReportFormSearch'
import { BASE_API, API_ALL, API_TEAM } from '../../assets/contants/contant'
export default {
  data() {
    return {
      listUserHaveTeamAndReport: [],
      current_page: 1,
      next: '',
      previous: '',
      modal: false,
      listTeam: [],
      modalActive:false,
    }
  },

  components: { ReportList, ReportFormSearch, ReportCreateEdit },
  computed: {
    API_TEAM() {
      return API_TEAM
    },

    BASE_API() {
      return BASE_API
    },
  },

  async fetch() {
    await fetch(API_ALL)
      .then((res) => res.json())
      .then((res) => {
        this.listUserHaveTeamAndReport = res.data
        this.previous = res.prev_page_url
        this.next = res.next_page_url
        this.current_page = res.current_page
      })
  },
  methods: {
    openModalCreateReport() {
      this.modalActive = true;
    },

    async searchNameUser(nameSearch) {
      const result = await this.$axios.$get(BASE_API + 'like=' + nameSearch)
      if (result.length > 0) {
        return (this.listUserHaveTeamAndReport = result)
      } else {
        alert('Không có kết quả')
      }
    },

    async searchDateReport(dateSearch) {
      const result = await this.$axios.$get(
        BASE_API + 'showWithDate/' + dateSearch
      )
      if (result.length > 0) {
        return (this.listUserHaveTeamAndReport = result)
      } else {
        alert('Không có kết quả')
      }
    },
  },
}
</script>

<style>
</style>